Debian Bug report logs - #386959
initscripts: mountnfs.sh is broken : unable to mount nfs directories at boot

version graph

Package: initscripts; Maintainer for initscripts is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for initscripts is src:sysvinit.

Reported by: Benjamin Lecouteux <assyrium@yahoo.fr>

Date: Mon, 11 Sep 2006 11:03:02 UTC

Severity: important

Found in versions sysvinit/2.86.ds1-20, sysvinit/2.86.ds1-38

Fixed in versions 2.86.ds1-20, sysvinit/2.86.ds1-44, sysvinit/2.86.ds1-46

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386959; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Lecouteux <assyrium@yahoo.fr>:
New Bug report received and forwarded. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benjamin Lecouteux <assyrium@yahoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initscripts: mountnfs.sh is broken : unable to mount nfs directories at boot
Date: Mon, 11 Sep 2006 12:20:44 +0200
Package: initscripts
Version: 2.86.ds1-20
Severity: important
Tags: l10n


there is no issue with the testing version 2.86.ds1-15
with the mountnfs.sh of unstable iniscript version, system is not able to
mount nfs directories.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages initscripts depends on:
ii  debianutils                  2.17.1      Miscellaneous utilities specific t
ii  e2fsprogs                    1.39-1      ext2 file system utilities and lib
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  lsb-base                     3.1-15      Linux Standard Base 3.1 init scrip
ii  mount                        2.12r-10    Tools for mounting and manipulatin

initscripts recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386959; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 386959@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Benjamin Lecouteux <assyrium@yahoo.fr>, 386959@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#386959: initscripts: mountnfs.sh is broken : unable to mount nfs directories at boot
Date: Mon, 11 Sep 2006 13:20:57 +0200
[Benjamin Lecouteux]
> there is no issue with the testing version 2.86.ds1-15 with the
> mountnfs.sh of unstable iniscript version, system is not able to
> mount nfs directories.

Thanks for letting us know.  How do you detect this?  Could this be
the incorrect status reporting problem reported in bug #386893?

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386959; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 386959@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Benjamin Lecouteux <benjamin.lecouteux@univ-avignon.fr>
Cc: 386959@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#386959: initscripts: mountnfs.sh is broken : unable to mount nfs directories at boot
Date: Mon, 11 Sep 2006 15:20:31 +0200
Please send messages to the bug tracking system, and not only to me.

[Benjamin Lecouteux]
> The issue is appeared at the boot of computer. The system was
> locking in the nfs mount sequence. After that, all my nfs
> directories were not available.

Right.  I misread this to talk about the shutdown sequence, not the
boot.  If the NFS directories are not mounted as they should during
boot, there must be some bug in here. :)

> When I start manually "/etc/init.d/mountnfs.sh start", there 
> was no action. But if I type "mount my_nfs_directory" there is no 
> problem. In a second time, I have copied the mountnfs.sh from testing in 
> my /etc/init.d/ and the problem was solved. However, there is no error 
> message when the mount fail. I think it's not the same problem that bug 
> #386893. I will be able to look at this evening more in detail what is 
> origin of the problem (I did not seek).

The NFS mounting system was changed now, to wait for the network to
start before trying to mount NFS directories.  This was changed to
solve the long-standing problem with mountnfs.sh running before the
network was ready.  So the NFS mounting is to be done by
/etc/network/if-up.d/mountnfs, and /etc/init.d/mountnfs.sh waits for
this to happen.  Is there something with your setup that would make
the if-up.d/mountnfs script fail?

Friendly,
-- 
Petter Reinholdtsen



Tags removed: l10n Request was from Henrique de Moraes Holschuh <hmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386959; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to benjamin.lecouteux@univ-avignon.fr:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 386959@bugs.debian.org (full text, mbox):

From: Lecouteux Benjamin <assyrium@gmail.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 386959@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#386959: initscripts: mountnfs.sh is broken : unable to mount nfs directories at boot
Date: Mon, 11 Sep 2006 19:04:52 +0200
Petter Reinholdtsen a écrit :
> Please send messages to the bug tracking system, and not only to me.
>
> [Benjamin Lecouteux]
>   
>> The issue is appeared at the boot of computer. The system was
>> locking in the nfs mount sequence. After that, all my nfs
>> directories were not available.
>>     
>
> Right.  I misread this to talk about the shutdown sequence, not the
> boot.  If the NFS directories are not mounted as they should during
> boot, there must be some bug in here. :)
>
>   
>> When I start manually "/etc/init.d/mountnfs.sh start", there 
>> was no action. But if I type "mount my_nfs_directory" there is no 
>> problem. In a second time, I have copied the mountnfs.sh from testing in 
>> my /etc/init.d/ and the problem was solved. However, there is no error 
>> message when the mount fail. I think it's not the same problem that bug 
>> #386893. I will be able to look at this evening more in detail what is 
>> origin of the problem (I did not seek).
>>     
>
> The NFS mounting system was changed now, to wait for the network to
> start before trying to mount NFS directories.  This was changed to
> solve the long-standing problem with mountnfs.sh running before the
> network was ready.  So the NFS mounting is to be done by
> /etc/network/if-up.d/mountnfs, and /etc/init.d/mountnfs.sh waits for
> this to happen.  Is there something with your setup that would make
> the if-up.d/mountnfs script fail?
>
> Friendly,
>   
I have tested the  /etc/network/if-up.d/mountnfs script : it works fine.
I think you're right, there is a issue in my boot sequence setup. Sorry
for false alert.



Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Benjamin Lecouteux <assyrium@yahoo.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 386959-done@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 386959-done@bugs.debian.org
Subject: Re: Bug#386959: initscripts: mountnfs.sh is broken : unable to mount nfs directories at boot
Date: Wed, 13 Sep 2006 00:09:27 +0200
Version: 2.86.ds1-20

[Lecouteux Benjamin]
> I have tested the /etc/network/if-up.d/mountnfs script : it works
> fine.  I think you're right, there is a issue in my boot sequence
> setup. Sorry for false alert.

Right.  Good to hear.  I am closing this as fixed then. :)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386959; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to "stephen mulcahy" <smulcahy@aplpi.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 386959@bugs.debian.org (full text, mbox):

From: "stephen mulcahy" <smulcahy@aplpi.com>
To: 386959@bugs.debian.org
Subject: same problem on diskless nodes
Date: Fri, 24 Nov 2006 12:30:32 -0000 (GMT)
Hi,

I have the same problem reported previously - the nfs mount script times
out without anything ever getting mounted.

If I run

/etc/network/if-up.d/mountnfs

manually after the node has booted it works fine.

The nodes in question are diskless nodes which use netboot to start up so
I'm wondering if the check for a working network interface which you
mentioned might be failing on me.

Any suggestions on how to get /etc/network/if-up.d/mountnfs logging its
output somewhere, a quick look didn't show me what script this is getting
started in. I guess my situation is pretty unusual so feel free to
disregard this comment, for now I've added a quick hack to
/etc/init.d/mountnfs.sh which calls /etc/network/if-up.d/mountnfs directly
and this seems to do the trick (although I'd prefer to not have to
maintain such a hack going forward).

Can you point me at where the check for a working interface is performed
and I'll try to see if thats whats failing here (again, I didn't see it
from a quick look around .. perhaps the solution here is for me to take a
longer look around the startup scripts)?

Thanks,

-stephen



-- 
   Stephen Mulcahy    Applepie Solutions Ltd   http://www.aplpi.com
email:smulcahy@aplpi.com mobile:+353.87.2930252 office:+353.91.751262
  Unit 30, Industry Support Centre, GMIT, Dublin Rd, Galway, Ireland.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386959; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to "stephen mulcahy" <smulcahy@aplpi.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 386959@bugs.debian.org (full text, mbox):

From: "stephen mulcahy" <smulcahy@aplpi.com>
To: "stephen mulcahy" <smulcahy@aplpi.com>
Cc: 386959@bugs.debian.org
Subject: Re: same problem on diskless nodes
Date: Fri, 24 Nov 2006 12:36:06 -0000 (GMT)
Sorry, I see this is address in bug 388761 .. I'll follow up there if I
have anything useful to add.

-stephen

> Hi,
>
> I have the same problem reported previously - the nfs mount script times
> out without anything ever getting mounted.
>
> If I run
>
> /etc/network/if-up.d/mountnfs
>
> manually after the node has booted it works fine.
>
> The nodes in question are diskless nodes which use netboot to start up so
> I'm wondering if the check for a working network interface which you
> mentioned might be failing on me.
>
> Any suggestions on how to get /etc/network/if-up.d/mountnfs logging its
> output somewhere, a quick look didn't show me what script this is getting
> started in. I guess my situation is pretty unusual so feel free to
> disregard this comment, for now I've added a quick hack to
> /etc/init.d/mountnfs.sh which calls /etc/network/if-up.d/mountnfs directly
> and this seems to do the trick (although I'd prefer to not have to
> maintain such a hack going forward).
>
> Can you point me at where the check for a working interface is performed
> and I'll try to see if thats whats failing here (again, I didn't see it
> from a quick look around .. perhaps the solution here is for me to take a
> longer look around the startup scripts)?
>
> Thanks,
>
> -stephen
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386959; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Daniel Freedman <freedman@physics.cornell.edu>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #42 received at 386959@bugs.debian.org (full text, mbox):

From: Daniel Freedman <freedman@physics.cornell.edu>
To: submit@bugs.debian.org
Cc: Daniel Freedman <freedman@physics.cornell.edu>, 386959@bugs.debian.org, 390404@bugs.debian.org, 419195@bugs.debian.org
Subject: initscripts: Continued 'mountnfs.sh' issues with multiple onboard NICs...
Date: Fri, 25 May 2007 22:51:36 -0400
Package: initscripts
Version: 2.86.ds1-38
Severity: important

- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages initscripts depends on:
ii  debianut 2.17                            Miscellaneous utilities specific t
ii  e2fsprog 1.39+1.40-WIP-2006.11.14+dfsg-2 ext2 file system utilities and lib
ii  libc6    2.3.6.ds1-13                    GNU C Library: Shared libraries
ii  lsb-base 3.1-23.1                        Linux Standard Base 3.1 init scrip
ii  mount    2.12r-19                        Tools for mounting and manipulatin
ii  sysvinit 2.86.ds1-38                     System-V-like utilities


Hi,

A number of bugs have been filed (and some closed) based upon issues with
'mountnfs.sh'.  However, even the recently reported fixes involving the
ASYNCMOUNTNFS boot option (introduced with 2.86.ds1-35) do not seem to fix
my issues (unless I explicitly set ASYNCMOUNTNFS to no, which is not the
default, and engenders behavior which I do not desire).

It seems like much of this problem derives from etch's movement of the NFS
mount procedures to '/etc/network/if-up.d/mountnfs' (although I recognize
the technical importance of such a move).  My hardware/configuration setup
is fairly standard, in my opinion, much more so than the diskless nodes that
similarly experience these problems (although I regularly use such for HPC
work and thus am very sympathetic to their needs). The only possible
complicating scenario is that the motherboard has multiple on-board ethernet
adapters; however, I only employ one of them (always properly identified by
the kernel at boot as eth0), and it comes up immediately (configured with
static IP address via '/etc/network/interfaces').

With a default etch install, NFS shares do not properly mount upon boot, nor
will they properly mount upon invocation of '/etc/init.d/mountnfs.sh start'.
However, they WILL properly mount upon direct invocation of
'/etc/network/if-up.d/mountnfs' (either with the environmental variable
'FROMINITD=yes' set or not).

The real problem appears to me to be the section in the init.d 'mountnfs.sh'
script:

        # Using 'no !=' instead of 'yes =' to make sure async nfs
        # mounting is the default even without a value in
        # /etc/default/rcS
        if [ no != "$ASYNCMOUNTNFS" ] ; then
                do_wait_async_mount
        else
                FROMINITD=yes /etc/network/if-up.d/mountnfs
        fi
        ;;

On cursory examination, it doesn't appear to me that
'/etc/network/if-up.d/mountnfs' is executed unless ASYNCMOUNTNFS is set to
no in '/etc/default/rcS'.  In fact, only such a setting enabled this
'mountnfs.sh' script to work for me (still not at boot time, though)...

To try to reduce the problem phasespace by ruling out other issues of
similar bugs, I should mention that I don't have any problem with
'/var/run/network/mountnfs' remaining after shutdown and preventing proper
startup.

I would greatly appreciate guidance with this, and would recommend (at the
least) much clearer documentation in '/usr/share/doc/initscripts' and
relevant init scripts.

Thank you for all of your work (packaging and otherwise).

Best wishes (and Happy Memorial Day, for the US-centric),
Daniel


PS '/etc/network/interfaces':

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
auto eth0
iface eth0 inet static
        address 192.168.1.6
        netmask 255.255.0.0
        network 192.168.0.0
        broadcast 192.168.255.255
        gateway 192.168.0.1


PPS '/etc/fstab':

proc       /proc proc defaults 0 0
/dev/sda1  / ext3 defaults,errors=remount-ro 0 1
/dev/sda5  none swap sw 0 0
/dev/hda   /media/cdrom0 udf,iso9660 user,noauto 0 0
foo:/home  /home nfs rw,hard,bg,intr,rsize=8192,wsize=8192 0 0
bar:/data  /data nfs rw,hard,bg,intr,rsize=8192,wsize=8192 0 0



-- 
Daniel A. Freedman <freedman@physics.cornell.edu>, Graduate Fellow
  Electronic Structure Calculations, LASSP, Cornell University




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Benjamin Lecouteux <assyrium@yahoo.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 386959-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 386959-close@bugs.debian.org
Subject: Bug#386959: fixed in sysvinit 2.86.ds1-44
Date: Thu, 27 Dec 2007 12:32:03 +0000
Source: sysvinit
Source-Version: 2.86.ds1-44

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.86.ds1-44_i386.deb
  to pool/main/s/sysvinit/initscripts_2.86.ds1-44_i386.deb
sysv-rc_2.86.ds1-44_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.86.ds1-44_all.deb
sysvinit-utils_2.86.ds1-44_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.86.ds1-44_i386.deb
sysvinit_2.86.ds1-44.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-44.diff.gz
sysvinit_2.86.ds1-44.dsc
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-44.dsc
sysvinit_2.86.ds1-44_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-44_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386959@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 27 Dec 2007 13:19:14 +0100
Source: sysvinit
Binary: sysv-rc sysvinit-utils sysvinit initscripts
Architecture: source i386 all
Version: 2.86.ds1-44
Distribution: experimental
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - Scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 386959 390404 418596 419195 426071 428823 430814 432511 432511 432750 433119 433359 434177
Changes: 
 sysvinit (2.86.ds1-44) experimental; urgency=low
 .
   * Add debian/watch file pointing to ftp.cistron.nl.
   * Change init.d/mountnfs.sh dependencies to list nfs-common in
     should-start (Closes: #433359).
   * Change init.d/umountnfs.sh dependencies to list nfs-common in
     should-start too.
   * Mount a 1 MiB tmpfs on /tmp if /tmp is otherwise less than
     1 MiB to make sure one can still log in when /tmp/ is too
     full (Closes: #430814).  Based on patch from Ian Jackson and Ubuntu.
   * Rewrote ifup.d/mountnfs to wait for all 'auto' interfaces to be
     initialized before trying to mount network file systems (Closes:
     #386959, #390404, #418596, #419195, #426071, #428823, #432511,
     #432511, #432750, #433119, #434177).  Based on patch from Phil
     Snowdon.
Files: 
 e2427315d3c2efcbbcff318cc9cb1716 1037 admin required sysvinit_2.86.ds1-44.dsc
 62c4c173dba0e3a9d4679ec86c364d92 144820 admin required sysvinit_2.86.ds1-44.diff.gz
 36a42974875c5d04b24f9e0510bae932 107906 admin required sysvinit_2.86.ds1-44_i386.deb
 b9198123dc2c8caa9df091171dbc4f80 66866 admin required sysvinit-utils_2.86.ds1-44_i386.deb
 9a27afd93150bb0eab688dce5ecbb7d4 63724 admin required initscripts_2.86.ds1-44_i386.deb
 017945c0303a190bf91c9832d236511a 58330 admin required sysv-rc_2.86.ds1-44_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHc5jv20zMSyow1ykRAuDcAJ9Km4/oGallF2Yy7xlAqkkJHvDmhACfUCuO
e/KHBh4wLwXx2hjZzkZUBsM=
=LvsZ
-----END PGP SIGNATURE-----





Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Benjamin Lecouteux <assyrium@yahoo.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 386959-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 386959-close@bugs.debian.org
Subject: Bug#386959: fixed in sysvinit 2.86.ds1-46
Date: Sun, 30 Dec 2007 09:47:03 +0000
Source: sysvinit
Source-Version: 2.86.ds1-46

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.86.ds1-46_i386.deb
  to pool/main/s/sysvinit/initscripts_2.86.ds1-46_i386.deb
sysv-rc_2.86.ds1-46_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.86.ds1-46_all.deb
sysvinit-utils_2.86.ds1-46_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.86.ds1-46_i386.deb
sysvinit_2.86.ds1-46.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-46.diff.gz
sysvinit_2.86.ds1-46.dsc
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-46.dsc
sysvinit_2.86.ds1-46_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-46_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386959@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 30 Dec 2007 10:32:52 +0100
Source: sysvinit
Binary: sysv-rc sysvinit-utils sysvinit initscripts
Architecture: source i386 all
Version: 2.86.ds1-46
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - Scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 268713 382410 386959 388525 390404 406393 407211 416223 418596 419195 423095 426071 426224 428823 430814 431224 432511 432511 432750 433119 433359 433378 433386 434177 450543 452384 453042 454468 457544 457847
Changes: 
 sysvinit (2.86.ds1-46) unstable; urgency=low
 .
   * Move from experimental to unstable.
   * Remove debug code from init.d/mountoverflowtmp that was included
     by mistake.
   * Reduce output from init.d/mountoverflowtmp when VERBOSE!=yes.
   * Add $all as a dependency for init.d/single, to make sure it is
     started last in runlevel 1.
   * Change runlevel setting in LSB header for init.d/rmnologin and
     init.d/stop-bootlogd to not start in runlevel 1 (single user).
     This reflect the current and correct setting specified in the
     postinst.
   * Remove redundant $local_fs dependency from init.d/bootmisc.sh,
     init.d/rc.local, init.d/rmnologin and init.d/skeleton
   * Move /lib/init/bootclean to /lib/init/bootclean.sh and source it
     instead of running it.
 .
 sysvinit (2.86.ds1-45) experimental; urgency=low
 .
   * Replace log_daemon_msg() in init.d/rc with log_action_msg() to
     improve visual layout when parallel booting is enabled.
   * Avoid using startpar for rcS.d/.  It does not work properly before
     ptys are available.  Related to bug #457896.
   * Correct init.d/rc progress bar calculations for the startpar
     option, counting each script that is started in parallel too.
   * Patch startpar to not print exit codes for each subprocess, to
     reduce the noise during boot.
   * Remove usplash progress bar support from initscripts and use the
     API hook file provided by usplash version 0.5.8-2 instead.  Add
     conflict on earlier versions of usplash.
 .
 sysvinit (2.86.ds1-44) experimental; urgency=low
 .
   * Add debian/watch file pointing to ftp.cistron.nl.
   * Change init.d/mountnfs.sh dependencies to list nfs-common in
     should-start (Closes: #433359).
   * Change init.d/umountnfs.sh dependencies to list nfs-common in
     should-start too.
   * Mount a 1 MiB tmpfs on /tmp if /tmp is otherwise less than
     1 MiB to make sure one can still log in when /tmp/ is too
     full (Closes: #430814).  Based on patch from Ian Jackson and Ubuntu.
   * Rewrote ifup.d/mountnfs to wait for all 'auto' interfaces to be
     initialized before trying to mount network file systems (Closes:
     #386959, #390404, #418596, #419195, #426071, #428823, #432511,
     #432511, #432750, #433119, #434177).  Based on patch from Phil
     Snowdon.
 .
 sysvinit (2.86.ds1-43) experimental; urgency=low
 .
   * Fix typo in /etc/network/if-up.d/mountnfs fstab option parsing used to
     detect kerberos v5. (Closes: #416223)
   * Update sysv-rc documentation based on text and suggestions
     from Alessandro Vesely (Closes: #382410).
   * Modify rules to install /lib/init/bootclean with the execute flag
     set (Closes: 457847).
 .
 sysvinit (2.86.ds1-42) experimental; urgency=low
 .
   * Change XS-Vcs-Svn to Vcs-Svn as the control flags are official now.
   * Add Vcs-Browser flag in debian/control, documenting the browsable source.
   * Change how init.d/rc call scripts, to make sure sourced scripts
     get the correct argument.
   * Reduce redundant code in init.d/rc, to make it easier to enable
     sourcing of *.sh scripts.  It is still not possible to source
     scripts, as some of them use exit and terminate the boot.  This is
     related to bug #339955.
 .
 sysvinit (2.86.ds1-41) experimental; urgency=low
 .
   * Update standards-version from 3.7.2 to 3.7.3.  No change needed.
   * Remove empty /lib/ directory from the sysvinit and sysvinit-utils
     packages.
   * Remove the empty /usr/share/man/man5/ from the sysv-rc package.
   * Remove the registration of init.d/modutils from
     initscripts/postinst, as the package is removed from Debian.
 .
 sysvinit (2.86.ds1-40) experimental; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Rewrite libata shutdown handling to use patch from
     Werner Fink at SuSe to handle each disk individually and
     automatically instead of guessing in the init.d script how
     to handle them collectively (Closes: #426224).  This removes
     the HDDOWN variable from /etc/default/halt.
   * Improve usage information in update-rc.d by using the same
     notation as the one used in the manual page (Closes: #268713)
   * Implement noswap kernel boot option to stop automatic
     swap activation at boot time (Closes: #388525).  Based on patch
     from Michael Prokop.
   * Rewrite init.d/rc to use shell features instead of calling sed
     (Closes: #406393).  Patch from Ivan Baldo.
   * Fix typo in update-rc.d example code (Closes: #433378).
   * Fix minor typo in rc*.d/README files (Closes: #452384).
   * Make sure init.d/rc do not complain because the new progress bar
     API is unavailable (Closes: #457544).
   * New patch 26_last_ipv6 from Fedora to recognize more IPv6
     addresses.
   * Extend the 68_init_quiet patch based on patch from Fedora to also
     suppress the "Switching to runlevel" message.  This patch is
     currently disabled because the 'quiet' flag is removed by the
     kernel when init is called.
   * New patch 69_init_waiting from Fedora to make sure the init
     waiting status is preserved across re-exec.
   * New patch 41_utmp_64bit from Fedora to avoid writing past the
     utmp.ut_tv struct on 64 bit architectures. (Closes: #450543)
   * New patch 64_init_init_reexec_env from Fedora to fix typo.  Now
     passes environment on to the new process when re-exec is used.
 .
 sysvinit (2.86.ds1-39) experimental; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Upload to experimental to get more feedback from testers.
   * Change checkfs.sh dependency info, make modutils an optional
     dependency as it is no longer installed by default.
   * Move /etc/init.d/bootclean to /lib/init/bootclean, as it is not an
     init.d script but a library.
   * Acknowledge NMU. (Closes: #433386)
   * Make /lib/init/vars.sh usable when 'set -e' is in effect.  Patch
     from Ubuntu.
   * Rename 20_pidof.dpatch to 80_killall_pidof.dpatch, to group the
     killall5 patches together.
   * New patch 82_killall_exclude_pids.dpatch adding new option -o
     to killall5, to omit killing the pid given on the command line.
     Based on patch from Ubuntu. (Closes: #453042)
   * Use new killall5 -o option in init.d/sendsigs, reading pids to
     omit from /var/run/sendsigs.omit.  This make it possible to list
     pids there if the process is required to umount the file systems
     during shutdown.  Make initscripts depend on sysvinit-utils
     (>= 2.86.ds1-39) to make sure killall5 support the -o option.
     Based on patch from Ubuntu.
   * Stop progress bar on ltsp-client-core too.  The script was renamed
     in recent ltsp versions.  Based on patch from Ubuntu.
   * Add linux-gnulp to debian/deps-mount, to get the correct behaviour
     with regard to initscripts dependencies on lpia.  Patch from Adam
     Conrad in Ubuntu.
   * Add splash screen / progress bar API to initscripts in
     /lib/init/splash-functions-base, overridable by the splash
     implementations in /lib/init/splash-functions.  Based on patch
     from David Härdeman. (Closes: #423095)  Make initscripts conflict
     with usplash (<< 0.5) to make sure a version with PULSATE support
     is used.
   * Rewrite init.d/rc progress bar support to use new API.  Move
     usplash calls to separate file splash-functions-usplash.  This
     file should be moved to the usplash package. Based on patch from
     David Härdeman.
   * Do not mount gfs2 as a local file system.  It is a network file system.
     Patch from  Guido Guenther (Closes: #454468).
   * Modify update-rc.d to refuse to install init.d scripts with illegal
     characters in the names.  Only accept [a-zA-Z0-9+.-] to match the
     limits on package names.  Correct handling of init.d scripts with
     + in their name (Closes: #431224).
 .
   [ Henrique de Moraes Holschuh ]
   * libata shutdown handling fixes:
     Check http://linux-ata.org/shutdown.html for information
     * init.d/halt: do not issue -h to halt(8) when the kernel supports
       auto-shutdown
     * init.d/halt, default/halt: add HDDOWN option to override initscript
       halt -h logic
   * Add halt(5) manpage, updated for HDDOWN. Thanks to Casper Gielen for
     the manpage. (Closes: #407211)
Files: 
 03396a1de224da3130b001c7499070e6 1037 admin required sysvinit_2.86.ds1-46.dsc
 98de971fe372de9565573ba43e2d200f 144876 admin required sysvinit_2.86.ds1-46.diff.gz
 8f55898df9abcade5cd3d67c81a4561c 108262 admin required sysvinit_2.86.ds1-46_i386.deb
 cadb869a2107a6026f9e5f8909b1febc 67320 admin required sysvinit-utils_2.86.ds1-46_i386.deb
 44b1c81fd85ea9fcf0e662b8d31bab07 63540 admin required initscripts_2.86.ds1-46_i386.deb
 3897385f9e877665fa1f895b61518203 58692 admin required sysv-rc_2.86.ds1-46_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHd2ZM20zMSyow1ykRAsNvAKCtYtkl81tFqxbBQOuPD9jCrgOoegCg4jpC
6aod02+6J9vCZPkVeTYVF78=
=Kgtc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Jan 2008 07:30:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:18:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.